# -*- coding: utf-8 -*-

"""Test Logos

Utilisation :
    créer les variables d'environnement: (indiquer les valeurs
    pour le serveur ScoDoc que vous voulez interroger)

    export SCODOC_URL="https://scodoc.xxx.net/"
    export SCODOC_USER="xxx"
    export SCODOC_PASSWD="xxx"
    export CHECK_CERTIFICATE=0 # ou 1 si serveur de production avec certif SSL valide

    (on peut aussi placer ces valeurs dans un fichier .env du répertoire tests/api).

    Lancer :
        pytest tests/api/test_api_jury.py
"""


from tests.api.setup_test_api import (
    API_URL,
    CHECK_CERTIFICATE,
    GET,
    POST_JSON,
    api_headers,
)


def test_jury_decisions(api_headers):
    """
    Route :
        - /formsemestre/<int:formsemestre_id>/decisions_jury
    """
    formsemestre_id = 1
    etudiants = GET(f"/formsemestre/{formsemestre_id}/etudiants", headers=api_headers)
    decisions_jury = GET(
        f"/formsemestre/{formsemestre_id}/decisions_jury", headers=api_headers
    )
    assert len(etudiants) == len(decisions_jury)
